#!/usr/bin/perl

if(scalar(@ARGV)<1) 
{	
print STDOUT "Usage: plot.pl <data_file>\n";
print "\nThis utiliy takes in a data file and plots a log-log ccdf plot along with an approximate 
alpha";
print " value assuming a heavy tail distribution (pareto)\n";

exit;
}

$file=$ARGV[0];
print STDOUT "Data file : $file\n";
system("wc $file > a");
$wc=`cat a`;
$wc=~/(\S+)\s+/;
$lines=$1;
print STDOUT "Number of data points : $lines\n";
system("ast -f $file -n $lines -a 2 -l 5 -w");
system("gnuplot $file.aest.gp");
system("rm *.llcd a *.gp");
print STDOUT "Done...PNG file generated...\n";

